@import '../core/base';

.pagination {
  position: relative;
  &__wrap {
    @include flex(center, space-between, row);
    @include tablet-lg {
      justify-content: center;
      flex-direction: column;
    }
  }
  &__item:last-child {
    @include tablet-lg {
      padding-top: 1.5rem;
      width: 100%;
    }
    @include mobile-lg {
      padding-top: 0;
    }
  }
  ul {
    @include flex(center, flex-end, row);
    position: relative;
    @include tablet-lg {
      justify-content: space-between;
      width: 100%;
    }
  }
  li {
    display: inline-block;
    @include desktop-md {
      padding: 0;
    }
    @include tablet-lg {
      display: none;
    }
    &:first-child {
      padding-right: 1rem;
      @include tablet-lg {
        text-align: left;
      }
      a {
        padding-left: 1.5rem;
        &::before {
          content: "";
          pointer-events: none;
          border: .5rem solid transparent;
          margin-top: -.5rem;
          position: absolute;
          top: 50%;
          height: 0;
          transition: all 0.2s ease 0s;
          width: 0;
          border-right-color: #333;
          border-left: 0;
          left: 0;  
        }
      }
    }
    &:last-child {
      padding-left: 1.5rem;
      @include tablet-lg {
        text-align: right;
      }
      a {
        padding-right: 1.5rem;
        &::after {
          border: .5rem solid transparent;
          border-left-color: #333;
          border-right: 0;
          content: "";
          height: 0;
          pointer-events: none;
          margin-top: -.5rem;
          position: absolute;
          top: 50%;
          transition: all 0.2s ease 0s;
          right: 0rem;
          width: 0;
        }
      }
    }
    &:first-child,
    &:last-child {
      @include tablet-lg {
        display: block;
        width: 100%;
      }
    }
    a {
      display: inline-block;
      color: #333;
      cursor: pointer;
      padding: .5rem 1rem;
      position: relative;
      text-transform: uppercase;
      font-size: 1.5rem;
      outline: 0;
      @include tablet-lg {
        font-size: 1.3rem;
      }
      &:hover {
        color: #3078bf;
        &::before {
          border-right-color: #3078bf;
        }
        &::after {
          border-left-color: #3078bf;
        }
      }
    }
  }
}

:global [class*="pagination"] [class*="disabled"] {
  pointer-events: none;
  opacity: 0.58;
  cursor: default;
  & a::after,
  & a::before {
    opacity: 0.52;
  }
}
:global [class*="pagination"] [class*="selected"] a {
  color: #444;
  pointer-events: none;
  font-weight: bold;
  opacity: 0.52;
}
